namespace PkmnLib.Plugin.Gen7.Scripts.Moves;

[Script(ScriptCategory.Move, "torment")]
public class Torment : Script, IScriptOnSecondaryEffect
{
    /// <inheritdoc />
    public void OnSecondaryEffect(IExecutingMove move, IPokemon target, byte hit)
    {
        var lastTargetChoice = target.BattleData?.LastMoveChoice;
        target.Volatile.Add(new Pokemon.TormentEffect(lastTargetChoice));
    }
}